# Poco

# class StreamConverterIOS

Library: Foundation
Package: Text
Header: Poco/StreamConverter.h

## Description

The base class for InputStreamConverter and OutputStreamConverter.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: InputStreamConverter, OutputStreamConverter

## Member Summary

Member Functions: errors, rdbuf

## Constructors

### StreamConverterIOS

StreamConverterIOS(
std::istream & istr,
const TextEncoding & inEncoding,
const TextEncoding & outEncoding,
int defaultChar = '?'
);

### StreamConverterIOS

StreamConverterIOS(
std::ostream & ostr,
const TextEncoding & inEncoding,
const TextEncoding & outEncoding,
int defaultChar = '?'
);

## Destructor

### ~StreamConverterIOS

~StreamConverterIOS();

## Member Functions

### errors

int errors() const;

### rdbuf

StreamConverterBuf * rdbuf();

## Variables

### _buf

StreamConverterBuf _buf;